v1.0

post

/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/{studyVersion}/rnddesign/{rndDesignId}/rndlist/upload/csvuniquevalues

Retrieves unique values for treatment arms, strata, and/or cohorts for a randomization list in a CSV file. Rights: DesignerRandListUpload.

Request

Path Parameters
Supported Media Types
Request Body - application/json ()
Root Schema : Randomization List Upload Request
Type: object
Title: Randomization List Upload Request
Contains randomization list mapping detail such as headers, treatment, stratums and cohorts.
Show Source
Nested Schema : cohortMappings
Type: array
Show Source
Nested Schema : headerMappings
Type: array
Show Source
Nested Schema : headerMappingsMap
Type: object
Additional Properties Allowed
Show Source
Nested Schema : stratumMappings
Type: array
Show Source
Nested Schema : treatmentMappings
Type: array
Show Source
Nested Schema : DataMapping
Type: object
Contains data mapping.
Show Source
Nested Schema : HeaderMapping
Type: object
Contains header mapping.
Show Source
Back to Top

Response

Supported Media Types

200 Response

Successful operation
Body ()
Root Schema : RndListMappingResponse
Type: object
Title: RndListMappingResponse
Contains randomization list mapping detail with treatment, stratum and cohort.
Show Source
Nested Schema : Cohorts
Type: array
Title: Cohorts
Contains cohorts.
Show Source
Nested Schema : Stratums
Type: array
Title: Stratums
Contains stratums.
Show Source
Nested Schema : Treatments
Type: array
Title: Treatments
Contains treatment.
Show Source

400 Response

Randomization list can't be generated/uploaded as there is no algorithm for the randomization designOr you must associate the randomization design with a visit before you can create/upload a randomization list for itOr the file can't be uploaded because it contains invalid content, such as special characters, empty cells, or empty rowsOr empty CSV content
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Result Object
Nested Schema : details
Type: object

404 Response

Study not found. Or randomization design not found. Or design not found
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Result Object
Nested Schema : details
Type: object

500 Response

Internal server error
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Result Object
Nested Schema : details
Type: object
Back to Top